Public Attributes | List of all members
ble_l2cap_evt_conn_ind_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

L2cap Connected Indicate event for BLE_L2CAP_EVT_CONN_IND. More...

`#include <ble_l2cap.h>`

## Public Attributes
uint16_t | le_psm
| Le_psm number. More...
uint16_t | local_cid
| The local source channel ID. More...
uint16_t | local_credits
| It indicates the number of LE-frames that the local device can receive. More...
uint16_t | peer_credits
| It indicates the number of LE-frames that the peer device can receive. More...
uint16_t | peer_mtu
| It indicates the maximum SDU size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request can receive on this channel. More...
uint16_t | peer_mps
| It indicates the maximum payload size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request is capable of receiving on this channe. More...

## Detailed Description

L2cap Connected Indicate event for BLE_L2CAP_EVT_CONN_IND.

Definition at line 191 of file ble_l2cap.h.

## Member Data Documentation

## ◆ le_psm

uint16_t ble_l2cap_evt_conn_ind_t::le_psm

Le_psm number.

Definition at line 193 of file ble_l2cap.h.

## ◆ local_cid

uint16_t ble_l2cap_evt_conn_ind_t::local_cid

The local source channel ID.

Definition at line 194 of file ble_l2cap.h.

## ◆ local_credits

uint16_t ble_l2cap_evt_conn_ind_t::local_credits

It indicates the number of LE-frames that the local device can receive.

Definition at line 195 of file ble_l2cap.h.

## ◆ peer_credits

uint16_t ble_l2cap_evt_conn_ind_t::peer_credits

It indicates the number of LE-frames that the peer device can receive.

Definition at line 196 of file ble_l2cap.h.

## ◆ peer_mps

uint16_t ble_l2cap_evt_conn_ind_t::peer_mps

It indicates the maximum payload size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request is capable of receiving on this channe.

Definition at line 199 of file ble_l2cap.h.

## ◆ peer_mtu

uint16_t ble_l2cap_evt_conn_ind_t::peer_mtu

It indicates the maximum SDU size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request can receive on this channel.

Definition at line 197 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h